﻿/* CSS Document */
.eventoCancelado {
  opacity: 0.3;
}
/* colores para las fases*/
/* asignacion de bahia*/
.bg-fase-1 {
  display: inline-block !important;
  background-color: #ffc107!important;
  color: white !important;
  padding:3px;
}
/* diagnostico*/
.bg-fase-2 {
  display: inline-block !important;
  background-color: #64ffda!important;
  padding:3px;
}
/* cotizacion de repuestos*/
.bg-fase-3 {
  display: inline-block !important;
  background-color: #b71c1c!important;
  color: white !important;
  padding:3px;
}
/* cotizacion cliente*/
.bg-fase-4 {
  display: inline-block !important;
  background-color: #9575cd!important;
  color: white !important;
  padding:3px;
}

/* vb cliente*/
.bg-fase-5 {
  display: inline-block !important;
  background-color: #007bff!important;
  color: white !important;
  padding:3px;
}

/* suplencia*/
.bg-fase-6 {
  display: inline-block !important;
  background-color: #FFC1CA!important;
  padding:3px;
}
/* servicios externos*/
.bg-fase-7 {
  display: inline-block !important;
  background-color: #343a40!important;
  color: #fff!important;
  padding:3px;
}
/* Reparacion*/
.bg-fase-8 {
  display: inline-block !important;
  background-color: #17a2b8!important;
  color: white !important;
  padding:3px;
}
/* Prueba */
.bg-fase-9 {
  display: inline-block !important;
  background-color: #6c757d!important;
  color: white !important;
  padding:3px;
}
/* Cierre*/
.bg-fase-10 {
  display: inline-block !important;
  background-color: #28a745!important;
  color: white !important;
  padding:3px;
}

/* fin colores fase*/
.espacio{margin-bottom:10px;}

.list-group-item.active-green, .list-group-item.active-green:hover, .list-group-item.active-green:focus {
  z-index:2;
  color:#ffffff;
  background-color:#279826;
  border-color:#279826;
}

.list-group-item.active-red, .list-group-item.active-red:hover, .list-group-item.active-red:focus {
  z-index:2;
  color:#ffffff;
  background-color:#dc3545;
  border-color:#dc3545;
}


.list-group-item.active-yellow, .list-group-item.active-yellow:hover, .list-group-item.active-yellow:focus {
  z-index:2;
  color:#ffffff;
  background-color:#e0a800;
  border-color:#e0a800;
}


.card-body-icon {
    position: absolute;
    z-index: 0;
    top: -1rem;
    right: -0.5rem;
    opacity: 0.4;
    font-size: 4rem;
    -webkit-transform: rotate(15deg);
    transform: rotate(15deg);
}

.elipse {
	overflow: hidden; 
	white-space:nowrap; 
	text-overflow:ellipsis;
}

.nowrap {
	white-space:nowrap;
}

.btn-3 {
	width: 100px;
}

@media only screen and (max-width: 600px) {
  .navbar-expand .navbar-nav .dropdown-menu {
    position: initial !important;
  }
}


.tracking-detail {
 padding:3rem 0
}
#tracking {
 margin-bottom:1rem
}
[class*=tracking-status-] p {
 margin:0;
 font-size:1.1rem;
 color:#fff;
 text-transform:uppercase;
 text-align:center
}
[class*=tracking-status-] {
 padding:1.6rem 0
}
.tracking-status-intransit {
 background-color:#65aee0
}


.tracking-status-delivered {
 background-color:#4cbb87
}
.tracking-status-attemptfail {
 background-color:#b789c7
}

.tracking-status-expired {
 background-color:#616e7d
}
.tracking-status-pending {
 background-color:#ccc
}
.tracking-status-inforeceived {
 background-color:#214977
}
.tracking-list {
 border:1px solid #e5e5e5
}
.tracking-item {
 border-left:1px solid #e5e5e5;
 position:relative;
 padding:2rem 1.5rem .5rem 2.5rem;
 font-size:.9rem;
 margin-left:3rem;
 min-height:5rem
}
.tracking-item:last-child {
 padding-bottom:4rem
}
.tracking-item .tracking-date {
 margin-bottom:.5rem
}
.tracking-item .tracking-date span {
 color:#888;
 font-size:85%;
 padding-left:.4rem
}
.tracking-item .tracking-content {
 padding:.5rem .8rem;
 background-color:#f4f4f4;
 border-radius:.5rem
}
.tracking-item .tracking-content span {
 display:block;
 color:#888;
 font-size:85%
}
.tracking-item .tracking-icon {
 line-height:2.6rem;
 position:absolute;
 left:-1.3rem;
 width:2.6rem;
 height:2.6rem;
 text-align:center;
 border-radius:50%;
 font-size:1.1rem;
 background-color:#fff;
 color:#fff
}

.tracking-item .tracking-icon.status-delivered {
 background-color:#4cbb87
}

.tracking-item .tracking-icon.status-intransit {
 color:#e5e5e5;
 font-size:2.6rem
}


.tracking-item .tracking-icon.status-delivered {
 color:#e5e5e5;
 border:1px solid #e5e5e5;
 font-size:2.6rem
}

@media(min-width:992px) {
 .tracking-item {
  margin-left:10rem
 }
 .tracking-item .tracking-date {
  position:absolute;
  left:-10rem;
  width:7.5rem;
  text-align:right
 }
 .tracking-item .tracking-date span {
  display:block
 }
 .tracking-item .tracking-content {
  padding:0;
  background-color:transparent
 }
}

/* Estilos para el busy indicator */

.lds-dual-ring {
  display: inline-block;
  width: 64px;
  height: 64px;
  position: relative;
  top: 20px;
}
.lds-dual-ring:after {
  content: " ";
  display: block;
  width: 46px;
  height: 46px;
  margin: 1px;
  border-radius: 50%;
  border: 5px solid #fff;
  border-color: #fff transparent #fff transparent;
  animation: lds-dual-ring 1.2s linear infinite;
}
@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
